curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/evm/simulateTransaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chainId": "An example name",
"data": "An example name",
"from": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"to": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"value": "An example name",
"domain": "An example name"
}
'{
"inAssets": [
{
"asset": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "<string>",
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>",
"type": "<string>",
"chainId": 123
},
"transferIn": [
{
"rawValue": "<string>",
"summary": "<string>",
"usdPrice": "<string>",
"value": "<string>"
}
],
"transferOut": [
{
"rawValue": "<string>",
"summary": "<string>",
"usdPrice": "<string>",
"value": "<string>"
}
]
}
],
"outAssets": [
{
"asset": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "<string>",
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>",
"type": "<string>",
"chainId": 123
},
"transferIn": [
{
"rawValue": "<string>",
"summary": "<string>",
"usdPrice": "<string>",
"value": "<string>"
}
],
"transferOut": [
{
"rawValue": "<string>",
"summary": "<string>",
"usdPrice": "<string>",
"value": "<string>"
}
]
}
],
"priceData": {
"nativeTokenUsdPrice": 123
},
"showTotalFiat": true,
"counterparties": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"validation": {
"result": "Benign",
"reason": "<string>",
"description": "<string>",
"classification": "<string>"
},
"assetExposures": [
{
"asset": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "<string>",
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>",
"type": "<string>",
"chainId": 123
},
"spenderToInfo": {}
}
]
}curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/evm/simulateTransaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chainId": "An example name",
"data": "An example name",
"from": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"to": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"value": "An example name",
"domain": "An example name"
}
'{
"inAssets": [
{
"asset": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "<string>",
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>",
"type": "<string>",
"chainId": 123
},
"transferIn": [
{
"rawValue": "<string>",
"summary": "<string>",
"usdPrice": "<string>",
"value": "<string>"
}
],
"transferOut": [
{
"rawValue": "<string>",
"summary": "<string>",
"usdPrice": "<string>",
"value": "<string>"
}
]
}
],
"outAssets": [
{
"asset": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "<string>",
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>",
"type": "<string>",
"chainId": 123
},
"transferIn": [
{
"rawValue": "<string>",
"summary": "<string>",
"usdPrice": "<string>",
"value": "<string>"
}
],
"transferOut": [
{
"rawValue": "<string>",
"summary": "<string>",
"usdPrice": "<string>",
"value": "<string>"
}
]
}
],
"priceData": {
"nativeTokenUsdPrice": 123
},
"showTotalFiat": true,
"counterparties": [
"0xbF394748301603f18d953C90F0b087CBEC0E1834"
],
"validation": {
"result": "Benign",
"reason": "<string>",
"description": "<string>",
"classification": "<string>"
},
"assetExposures": [
{
"asset": {
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainName": "<string>",
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>",
"type": "<string>",
"chainId": 123
},
"spenderToInfo": {}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
Simulated transaction result
Show child attributes
Show child attributes
Show child attributes
Valid blockchain wallet address, must be an alphanumeric string without any special characters
255^[A-Za-z0-9]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
Show child attributes
Show child attributes
Was this page helpful?